Zorya APIZorya API
  • Go to the Portal
  • Sign Up
  • Documentation
  • API Reference
  • Tables
  • Copyright © 2026 Zorya Telecom, S.A. de C.V.
USERS & SESSIONS
    Get a signed token for a userpostGet the current active usergetList all active sessions for the current usergetRevoke a session by SessionIdpost
LOOKUP
    Consult Msisdn informationpost
TOP-UP
    Send a regular Top Up to a userpostSend a direct Top Up to a user with specified ProductpostGet Statusget
SMS
    Send a Basic SMS to a userpostGet Sms Statusget
RCS
    Send an RCS MessagepostGet RCS Statusget
MESSAGING
    Send SMS or RCS MessagepostGet Message Statusget
WHATSAPP
    MESSAGES
      Text Messagepost
    STATUS
      Get WhatsApp Statusget
    MEDIA
      Get MediaIdgetGenerate Header HandlepostUpload Media Completepost
    TEMPLATES
      List WhatsApp TemplatesgetCreate a WhatsApp TemplatepostUpdate a WhatsApp TemplatepostDelete a WhatsApp Templatedelete
      Categories
    Flows
    Usernames
WEBHOOKS
    MO
    MT
    NOTIFICATIONS
Core API
Core API

MEDIA


Get MediaId

GET
https://gateway.zorya.com
/api/v1/WhatsApp/{from}/media/retrieve

This endpoint retrieves media content sent or received via WhatsApp by providing the mediaId returned in a message and the associated from number that owns the media. The endpoint allows for secure download or processing of media files linked to a WhatsApp message.

Request Parameters

ParameterTypeDescriptionRequired
fromStringThe phone number that sent or received the media fileYes
mediaIdStringThe ID of the media returned by WhatsAppYes
GET/api/v1/WhatsApp/{from}/media/retrieve
curl 'https://gateway.zorya.com/api/v1/WhatsApp/:from/media/retrieve?from=<string>&mediaId=<string>' \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type
application/octet-stream

Generate Header Handle
STATUSTEMPLATES